# PhasicFlow: iFstream Class Reference

iFstream Class Reference
Inheritance diagram for iFstream:
[legend]
Collaboration diagram for iFstream:
[legend]

## Public Member Functions

| iFstream (const fileSystem &path)
| iFstream (const iFstream &src)=delete
iFstream & | operator= (const iFstream &rhs)=delete
virtual | ~iFstream ()=default
Public Member Functions inherited from fileStream
| fileStream (const fileSystem &path, bool outStream=false)
| fileStream (const fileStream &)=delete
fileStream & | operator= (const fileStream &)=delete
virtual | ~fileStream ()
std::ifstream & | inStream ()
std::ofstream & | outStream ()
Public Member Functions inherited from Istream
| Istream (std::istream &is, const word &streamName)
virtual | ~Istream ()=default
virtual const word & | name () const
virtual word & | name ()
virtual ios_base::fmtflags | flags () const
Istream & | get (char &c)
int | peek ()
Istream & | getLine (word &str, char delim='\n')
std::streamsize | getLine (std::nullptr_t, char delim='\n')
Istream & | putback (const char c)
virtual iIstream & | read (token &t) override
virtual iIstream & | read (char &c) override
virtual iIstream & | read (word &str) override
virtual iIstream & | readString (word &str) override
virtual iIstream & | read (int64 &) override
virtual iIstream & | read (int32 &) override
virtual iIstream & | read (int16 &) override
virtual iIstream & | read (int8 &) override
virtual iIstream & | read (label &) override
virtual iIstream & | read (uint32 &) override
virtual iIstream & | read (uint16 &) override
virtual iIstream & | read (float &val) override
virtual iIstream & | read (double &val) override
virtual void | rewind ()
virtual ios_base::fmtflags | flags (const ios_base::fmtflags flags)
virtual std::istream & | stdStream ()
virtual const std::istream & | stdStream () const
Public Member Functions inherited from iIstream
| iIstream ()
| iIstream (const iIstream &)=default
virtual | ~iIstream ()=default
void | putBack (const token &tok)
bool | getBack (token &tok)
bool | peekBack (token &tok)
void | resetPutBack ()
virtual bool | findToken (const word &w)
virtual bool | findTokenSilent (const word &w, int32 limitLine=100)
virtual bool | findTokenAndNext (const word &w, word &nextW, bool checkEndStatement=true)
virtual bool | findTokenAndNextSilent (const word &w, word &nextW, int32 limitLine=100)
template<typename T >
bool | findKeywordAndVal (const word &keyword, T &val, bool checkEndStatement=true)
template<typename T >
T | lookupData (const word &keyword)
template<typename T >
T | lookupDataOrSet (const word &keyword, const T &setVal)
template<typename T >
bool | nextData (const word &keyword, T &data)
bool | readBegin (const char *funcName)
bool | readEnd (const char *funcName)
bool | readBeginSquare (const char *funcName)
bool | readEndSquare (const char *funcName)
char | readBeginList (const char *funcName)
char | readEndList (const char *funcName)
char | readEndStatement (const char *funcName)
iIstream & | operator() () const
Public Member Functions inherited from IOstream
| IOstream ()
| IOstream (const IOstream &)=default
virtual | ~IOstream ()=default
virtual bool | check (const char *operation) const
bool | fatalCheck (const char *operation) const
bool | opened () const
bool | closed () const
bool | good () const
bool | eof () const
bool | fail () const
bool | bad () const
| operator bool () const
bool | operator! () const
int32 | lineNumber () const
int32 & | lineNumber ()
int32 | lineNumber (const int32 num)
void | setEof ()
void | setFail ()
void | setBad ()
ios_base::fmtflags | setf (const ios_base::fmtflags f)
ios_base::fmtflags | setf (const ios_base::fmtflags f, const ios_base::fmtflags mask)
void | unsetf (const ios_base::fmtflags f)

## Additional Inherited Members

Public Types inherited from IOstream
enum | streamAccess : char { CLOSED = 0, OPENED }
Static Public Member Functions inherited from IOstream
static unsigned int | defaultPrecision ()
static unsigned int | defaultPrecision (unsigned int prec)
Static Public Attributes inherited from IOstream
static unsigned int | precision_ = 6
Protected Member Functions inherited from fileStream
void | openInFile (const fileSystem &path)
void | openOutFile (const fileSystem &path)
void | close ()
Protected Member Functions inherited from IOstream
void | setOpened ()
void | setClosed ()
void | setState (ios_base::iostate state)
void | setGood ()
Protected Attributes inherited from fileStream
uniquePtr< std::ifstream > | inStream_
uniquePtr< std::ofstream > | outStream_
Protected Attributes inherited from IOstream
streamAccess | openClosed_
ios_base::iostate | ioState_
int32 | lineNumber_
Static Protected Attributes inherited from IOstream
static word | staticName_

## Detailed Description

Definition at line 35 of file iFstream.hpp.

## Constructor & Destructor Documentation

## iFstream() [1/2]

iFstream | ( | const fileSystem & | path | ) |

Definition at line 27 of file iFstream.cpp.

## iFstream() [2/2]

iFstream | ( | const iFstream & | src | ) |

delete

## ~iFstream()

virtual ~iFstream | ( |  | ) |

virtualdefault

## Member Function Documentation

## operator=()

iFstream& operator= | ( | const iFstream & | rhs | ) |

delete

The documentation for this class was generated from the following files:

- src/phasicFlow/streams/Fstream/iFstream.hpp
- src/phasicFlow/streams/Fstream/iFstream.cpp